Skip to main content
PATCH
Update an organisation DNS record

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
x-ankra-organisation-id
string | null

Path Parameters

record_id
string<uuid>
required

Body

application/json
content
string
required
ttl
integer | null

Response

Successful Response

id
string
required
name
string
required
record_type
string
required
content
string
required
state
string
required
created_by
string
required
created_at
string
required
updated_at
string
required
ttl
integer | null
last_error
string | null
source
string

Who wrote the record, present for an organisation whose zone lives on Ankra Cloud, where records are read from and written to Ankra Cloud directly: platform (written through Ankra), user (written in the Ankra Cloud DNS console) or external-dns (published by a cluster's external-dns, read-only here).